Skip to content

Void a payment

Payments
POSThttps://api.dcdial.com/api/type=remove_payment
PaymentsToken

Voids a recorded payment, for example after a refund, NSF or chargeback, and reverses it on the account balance.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always remove_payment for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • account_idstringrequired

    Your reference for the account (its accountid).

    Example ACC-10045
  • reasonstringrequired

    Why the payment is voided.

    One ofrefundedNFScharged backother
  • payment_idstringrequired

    ID of the payment to void.

    Example 90311
  • company_idintegerrequired

    Your DCDial company ID.

    Example 101
Terminal window
curl https://api.dcdial.com/api/ \
-d type=remove_payment \
-d token="$DCDIAL_TOKEN" \
-d account_id=ACC-10045 \
-d reason=refunded \
-d payment_id=90311 \
-d company_id=101
Response · 200 OK
{
"response": {
"success": 1,
"error": ""
}
}

Try it

Environment